> For the complete documentation index, see [llms.txt](https://docs.rhinofcp.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rhinofcp.com/security-and-data-protections/how-to-use-the-secrets-manager-with-rhino-fcp.md).

# How To Use the Secrets Manager with Rhino FCP

To ensure the Rhino FCP can retrieve the correct secret for a Code Run, the secret's key ID in the Secrets Manager **must exactly match the tag of the container image** being executed. *Example:* If your container image is tagged `v1`, the corresponding secret in the Secrets Manager must also have the tag `v1`.

During a Code Run execution, the Rhino FCP dynamically injects the retrieved secret into the running container at a specific, standardized location:

* **Injection Path:** The secret is provided as a JSON file named `secret_run_params.json` at the absolute path: `/input/secret_run_params.json`.
* **Runtime Access:** The container's code, e.g. `decrypt_weights` function, accesses this file at runtime to securely retrieve the necessary keys (e.g., `decrypt_key` or `encrypt_key`). Note that the function used here (`decrypt_weights`) is just an example. But, there should be a file inside the container should be used for decrypting.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.rhinofcp.com/security-and-data-protections/how-to-use-the-secrets-manager-with-rhino-fcp.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
